[parsec-users] the headers of im_copy.c

Christian Bienia cbienia at CS.Princeton.EDU
Thu Jan 15 12:40:21 EST 2009


Fahimeh,

There is very little I can do, I cannot reproduce your errors. From your
explanations it seems apparent that it's your build environment that is
broken. The packages themselves and the source code is most likely fine.

I cannot help you with that, and because it is not clear what exactly is
broken there is also very little guidance I can give you. You need to fix
that yourself. My only suggestion is to go to http://gcc.gnu.org/ and
download a fresh copy of gcc. Build and install it on your system, then
modify PARSEC's run configuration to use the new compiler. This might fix
the problem. Besides that, the only other option I can come up with is to
build the benchmarks on another machine.

Good luck!

- Chris



-----Original Message-----
From: parsec-users-bounces at lists.cs.princeton.edu
[mailto:parsec-users-bounces at lists.cs.princeton.edu] On Behalf Of
fahimeh at ac.upc.edu
Sent: Thursday, January 15, 2009 4:32 AM
To: PARSEC Users
Subject: Re: [parsec-users] the headers of im_copy.c

Quoting Christian Bienia <cbienia at CS.Princeton.EDU>:

> Fahimeh,
>
> Those are VIPS-internal symbols. They are defined somewhere in the source
> code of VIPS, not in an external library. If you get errors because these
> symbols cannot be found then you somehow broke the build system of the
> package.
>
> - Chris
>
>
> -----Original Message-----
> From: parsec-users-bounces at lists.cs.princeton.edu
> [mailto:parsec-users-bounces at lists.cs.princeton.edu] On Behalf Of
> fahimeh at ac.upc.edu
> Sent: Wednesday, January 14, 2009 7:16 PM
> To: PARSEC Users
> Subject: [parsec-users] the headers of im_copy.c
>
>
>
> Hello,
>
> Would you please let me know the following types can be found in which
> library?
> They are used in im_copy.c .
>
> 'im__convert_saveable'
> 'IM__RGBA'
> 'IM__RGB'
> 'IM__RGB_CMYK'
>
>
> Thank you very much,
> Fahimeh
> _______________________________________________
> parsec-users mailing list
> parsec-users at lists.cs.princeton.edu
> https://lists.cs.princeton.edu/mailman/listinfo/parsec-users
>
> _______________________________________________
> parsec-users mailing list
> parsec-users at lists.cs.princeton.edu
> https://lists.cs.princeton.edu/mailman/listinfo/parsec-users
>


Hello Christ,

Thank you for your useful guidance.

About vips, (and also about ferret and facesim packages), when I use
./parsecmgmt -a build -p  vips, a lot of errors are reported. For vips, they
are related to building vips.o (in fact vips.c). These errors say  "multiple
definition of '...'" or "first defined here". So I tried to cd to vips,
configure, make and make install, but there are errors about im_copy.c and
IM_...  .

I could build other packages except these 3 ones by using both parsegmgmt
commands and build the package separately by using make.

Since I must to complete whole benchmark soon, would you please guide me
about
these packages. Is any other packages or library must be added in addition
the
packages are mentioned in the parsec homepage?

Thank you very much,
best regards,
Fahimeh
_______________________________________________
parsec-users mailing list
parsec-users at lists.cs.princeton.edu
https://lists.cs.princeton.edu/mailman/listinfo/parsec-users



More information about the parsec-users mailing list